Package org.pgpainless.util.selection.keyring.impl

# Class XMPP

java.lang.Object
org.pgpainless.util.selection.keyring.impl.XMPP

public final class XMPP extends Object
Implementations of `KeyRingSelectionStrategy` which accept KeyRings containing a given XMPP address of the format "xmpp:alice@pgpainless.org".

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`XMPP.PubRingSelectionStrategy`
`PublicKeyRingSelectionStrategy` which accepts a given `PGPPublicKeyRing` if its primary key has a user-id that matches the given
`static class`
`XMPP.SecRingSelectionStrategy`
`SecretKeyRingSelectionStrategy` which accepts a given `PGPSecretKeyRing` if its primary key has a user-id that matches the given

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`